<template>
  <ion-app :class="[languageIsEnglish ? 'font-english' : 'font-farsi']">
    <ion-router-outlet></ion-router-outlet>
    <ErrorMessage />
  </ion-app>
</template>

<script setup lang="ts">
import { IonApp, IonRouterOutlet } from '@ionic/vue';
import { computed, onMounted } from 'vue';
import { useI18n } from 'vue-i18n';
import ErrorMessage from './components/ErrorMessage.vue';
import { useThemeStore } from '@/store/theme.js';
const { locale } = useI18n();

const languageIsEnglish = computed(() => locale.value == 'en');

// function measureUserAgentSpecificMemory() {
//   if (window.performance && window.performance.memory) {
//     const memoryInfo = window.performance.memory;

//     // You can access various memory metrics from the memoryInfo object
//     const totalJSHeapSize = memoryInfo.totalJSHeapSize;
//     const usedJSHeapSize = memoryInfo.usedJSHeapSize;
//     const jsHeapSizeLimit = memoryInfo.jsHeapSizeLimit;
//   } else {
//   }
// }
onMounted(() => {
  const themeStore = useThemeStore();
  themeStore.setAutoDetectedTheme();
  const themeIsDark = themeStore.getThemeIsDark;
  document.body.classList.toggle('dark', themeIsDark);
});
</script>
